Author Topic: The 10 January 2007 build is out.  (Read 46398 times)

Offline cbexaminr

  • Multiple posting newcomer
  • *
  • Posts: 104
Re: The 10 January 2007 build is out.
« Reply #45 on: January 16, 2007, 12:32:37 am »
Well, my results from installing mingw-5-1.3.exe differ from yours, as below.  (The directory listing showing location [c:\mingw\] is at end of block instead of beginning.)  The directory did not exist before I performed the installation.  (I do have one idea about why they might differ, which I will pursue after I post this.)

Code: [Select]
mingw32-gcc (GCC) 3.4.2 (mingw-special)
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

mingw32-g++ (GCC) 3.4.2 (mingw-special)
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

GNU windres 2.15.91 20040904
Copyright 2004 Free Software Foundation, Inc.
This program is free software; you may redistribute it under the terms of
the GNU General Public License.  This program has absolutely no warranty.
GNU ar 2.15.91 20040904
Copyright 2004 Free Software Foundation, Inc.
This program is free software; you may redistribute it under the terms of
the GNU General Public License.  This program has absolutely no warranty.
GNU Make 3.80
Copyright (C) 2002  Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.
'mingw32-gcc' is not recognized as an internal or external command,
operable program or batch file.
'mingw32-g++' is not recognized as an internal or external command,
operable program or batch file.
'windres' is not recognized as an internal or external command,
operable program or batch file.
'ar' is not recognized as an internal or external command,
operable program or batch file.
'mingw32-make' is not recognized as an internal or external command,
operable program or batch file.
 Volume in drive C has no label.
 Volume Serial Number is 0B59-0F3A

 Directory of c:\mingw

01/15/2007  04:52 AM    <DIR>          .
01/15/2007  04:52 AM    <DIR>          ..
01/15/2007  04:52 AM    <DIR>          bin
12/18/2000  05:47 PM            17,992 COPYING
01/29/2001  09:30 AM            26,430 COPYING.LIB
01/15/2007  04:51 AM    <DIR>          doc
01/15/2007  04:52 AM    <DIR>          include
01/15/2007  04:52 AM    <DIR>          info
01/15/2007  04:52 AM               418 installed.ini
01/15/2007  04:52 AM    <DIR>          lib
01/15/2007  04:51 AM    <DIR>          libexec
01/15/2007  04:51 AM    <DIR>          man
01/15/2007  04:35 AM           138,705 MinGW-5.1.3.exe
01/15/2007  04:52 AM                46 MinGW.url
01/15/2007  04:51 AM    <DIR>          mingw32
01/15/2007  04:52 AM    <DIR>          share
01/15/2007  04:52 AM            58,426 uninst.exe
               6 File(s)        242,017 bytes
              11 Dir(s)   2,627,039,232 bytes free

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6675
    • My Best Post
Re: The 10 January 2007 build is out.
« Reply #46 on: January 16, 2007, 12:59:40 am »
Well, my results from installing mingw-5-1.3.exe differ from yours, as below.  (The directory listing showing location [c:\mingw\] is at end of block instead of beginning.)  The directory did not exist before I performed the installation.  (I do have one idea about why they might differ, which I will pursue after I post this.)

OK, your minGW looks to be installed correctly to the default folder of c:\mingw.

Note: I have multiple minGW installs so I don't use the default folder of c:\mingw.

Now open a command prompt and verify that cc1plus is correct?

CD C:\MinGW\libexec\gcc\mingw32\3.4.2
cc1plus --version

Here's what I got for version 3.4.2 install below.

Code: [Select]
C:\>cd C:\apps\MinGW_GCC_3.4.2_API_3_8\libexec\gcc\mingw32\3.4.2

C:\apps\MinGW_GCC_3.4.2_API_3_8\libexec\gcc\mingw32\3.4.2>cc1plus --version
GNU C++ version 3.4.2 (mingw-special) (mingw32)
        compiled by GNU C version 3.4.2 (mingw-special).
GGC heuristics: --param ggc-min-expand=95 --param ggc-min-heapsize=122814

C:\apps\MinGW_GCC_3.4.2_API_3_8\libexec\gcc\mingw32\3.4.2>

Now open a command prompt and verify that cc1plus does NOT exists in your path

CD C:\
cc1plus --version

Code: [Select]
C:\>cc1plus --version
'cc1plus' is not recognized as an internal or external command,
operable program or batch file.

C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline cbexaminr

  • Multiple posting newcomer
  • *
  • Posts: 104
Re: The 10 January 2007 build is out.
« Reply #47 on: January 16, 2007, 02:13:16 am »
mingw-5.1.3.exe is still broken.  I believe it crashes when whatever mirror it chooses does not have all of the packages under some circumstance.  At any rate, it crashed 3 times on me....  But I believe I've finally matched your versions (by selecting candidate rather than current.)

I also added the check of cc1plus...  see second box for all version info.

And I've tried to rebuild again including wxwidgets.  ([edit] but I just found that wxwidgets didn't rebuild properly with 3.4.5, some complaint involving a typedef for boolean.) The candidate version (3.4.5) seems to handle the "-Winvalid-pch" option in the project file.  But, I'm still stuck when it reaches Scintilla, attempting to include a wx/setup.h that it can't find. ([edit] I also just found that I had 'lib' specified in the "lib" field for the global variable cw.  Deleting that seemed to make a big difference in compiling Scintilla...  but now backing up to 3.4.2 to see if I can get wxwidgets built again...)

I just don't think the paths in the command look correct, with an absolute path for c:\...\wxWidgets-2.6.3\include, but a relative path of lib\gcc_dll\mswu, which I don't think the compiler can possibly find (at least with the preprocessor include search path rules I'm familiar with)...???

There is a setup.h in c:\...\wxWidgets-2.6.3\lib\gcc_dll\mswu\wx, but I'm sure the compiler's not going to find it with that relative path!!!

Code: [Select]
mingw32-g++.exe -Wall -g -pipe -mthreads -fmessage-length=0 -fexceptions -Winvalid-pch -DHAVE_W32API_H -D__WXMSW__ -DWXUSINGDLL -DcbDEBUG -DTIXML_USE_STL -DCB_PRECOMP -DWX_PRECOMP -DwxUSE_UNICODE -D__WX__ -DWINVER=0x0400 -DSCI_LEXER -DLINK_LEXERS -DWXMAKINGDLL_SCI  -IC:\dlh\dev\wxwidgets\wxWidgets-2.6.3\include -Ilib\gcc_dll\mswu -IC:\dlh\dev\wxwidgets\wxWidgets-2.6.3\contrib\include -Isdk\wxscintilla\include -Isdk\propgrid\include -Isdk\wxscintilla\include -Isdk\wxscintilla\src\scintilla\include -Isdk\wxscintilla\src\scintilla\src  -c sdk\wxscintilla\src\PlatWX.cpp -o .objs\2.6\sdk\wxscintilla\src\PlatWX.o
In file included from C:/dlh/dev/wxwidgets/wxWidgets-2.6.3/include/wx/defs.h:21,
                 from C:/dlh/dev/wxwidgets/wxWidgets-2.6.3/include/wx/wx.h:15,
                 from sdk\wxscintilla\src\PlatWX.cpp:9:
C:/dlh/dev/wxwidgets/wxWidgets-2.6.3/include/wx/platform.h:190:22: wx/setup.h: No such file or directory

Code: [Select]
mingw32-gcc (GCC) 3.4.5 (mingw special)
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

mingw32-g++ (GCC) 3.4.5 (mingw special)
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

GNU windres 2.16.91 20060119
Copyright 2005 Free Software Foundation, Inc.
This program is free software; you may redistribute it under the terms of
the GNU General Public License.  This program has absolutely no warranty.
GNU ar 2.16.91 20060119
Copyright 2005 Free Software Foundation, Inc.
This program is free software; you may redistribute it under the terms of
the GNU General Public License.  This program has absolutely no warranty.
GNU Make 3.80
Copyright (C) 2002  Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.
GNU C++ version 3.4.5 (mingw special) (mingw32)
compiled by GNU C version 3.4.5 (mingw special).
GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
'cc1plus' is not recognized as an internal or external command,
operable program or batch file.
 Volume in drive C has no label.
 Volume Serial Number is 0B59-0F3A

 Directory of c:\mingw

01/15/2007  07:11 PM    <DIR>          .
01/15/2007  07:11 PM    <DIR>          ..
01/15/2007  07:11 PM    <DIR>          bin
01/15/2007  06:42 PM         7,114,497 binutils-2.16.91-20060119-1.tar.gz
12/18/2000  05:47 PM            17,992 COPYING
01/29/2001  09:32 AM            26,430 COPYING.LIB
01/15/2007  07:10 PM    <DIR>          doc
01/15/2007  06:46 PM         3,464,344 gcc-core-3.4.5-20060117-1.tar.gz
01/15/2007  06:47 PM         4,710,429 gcc-g++-3.4.5-20060117-1.tar.gz
01/15/2007  07:11 PM    <DIR>          include
01/15/2007  07:11 PM    <DIR>          info
01/15/2007  07:11 PM               288 installed.ini
01/15/2007  07:11 PM    <DIR>          lib
01/15/2007  07:11 PM    <DIR>          libexec
01/15/2007  07:11 PM    <DIR>          man
01/15/2007  04:35 AM           138,705 MinGW-5.1.3.exe
01/15/2007  07:11 PM                46 MinGW.url
01/15/2007  07:11 PM    <DIR>          mingw32
01/15/2007  07:11 PM            58,426 uninst.exe
01/15/2007  06:34 PM         1,623,353 w32api-3.8.tar.gz
              10 File(s)     17,154,510 bytes
              10 Dir(s)   2,524,815,360 bytes free
« Last Edit: January 16, 2007, 02:20:45 am by cbexaminr »

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6675
    • My Best Post
Re: The 10 January 2007 build is out.
« Reply #48 on: January 16, 2007, 03:14:31 am »
Please verify that it compiled right. If it worked right you should have a DLL created in the folder lib\gcc_dll called wxmsw26u_gcc_custom.dll.
Do you see it?
Tim S

for errors that mention jpeg or boolean try this patch
  [ 1606032 ] [2.6] jpeg boolean mingw API 3.8 fix backport
  http://sourceforge.net/tracker/index.php?func=detail&aid=1606032&group_id=9863&atid=309863

for errors that mention ddraw.h try this work around
  DirectX 8.0 headers. Uncompress this over the MinGW directory. Add c:\mingw\bin to your PATH. Compile by typing mingw32-make. (for minGW 3.4.5 ONLY)
http://www.mame.net/zips/dx80_mgw.zip OR download from SF http://alleg.sourceforge.net/files/dx80_mgw.zip


For boolean apply above patch or revert to using API 3.7.

http://downloads.sourceforge.net/mingw/w32api-3.7.tar.gz?modtime=1145039963&big_mirror=1
« Last Edit: January 16, 2007, 03:18:18 am by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6675
    • My Best Post
Re: The 10 January 2007 build is out.
« Reply #49 on: January 16, 2007, 03:26:44 am »
You are correct that "-Ilib\gcc_dll\mswu" does NOT look correct to me.
Tim S
researching possible causes now.

here's my build command
Code: [Select]
mingw32-g++.exe -Wall -g -pipe -mthreads -fmessage-length=0 -fexceptions -Winvalid-pch -DHAVE_W32API_H -D__WXMSW__ -DWXUSINGDLL -DcbDEBUG -DTIXML_USE_STL -DCB_PRECOMP -DWX_PRECOMP -DwxUSE_UNICODE -D__WX__ -DWINVER=0x0400 -DSCI_LEXER -DLINK_LEXERS -DWXMAKINGDLL_SCI  -IC:\wx\inno\wxWidgets-2.6_BRANCH\include -IC:\wx\inno\wxWidgets-2.6_BRANCH\lib\gcc_dll\mswu -IC:\wx\inno\wxWidgets-2.6_BRANCH\contrib\include -Isdk\wxscintilla\include -Isdk\propgrid\include -Isdk\wxscintilla\include -Isdk\wxscintilla\src\scintilla\include -Isdk\wxscintilla\src\scintilla\src  -c sdk\wxscintilla\src\PlatWX.cpp -o .objs\2.6\sdk\wxscintilla\src\PlatWX.o
« Last Edit: January 16, 2007, 03:30:04 am by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6675
    • My Best Post
Re: The 10 January 2007 build is out.
« Reply #50 on: January 16, 2007, 03:35:36 am »
Please verify that you did NOT change the settings

The second one listed is not working for you; these are only the first three setting.
To view them do this.
"Project" -> "Build options" Tab "directories" Tab "Compiler"
Tim S
Code: [Select]
$(#WX.include)
$(#WX.lib)\gcc_dll$(WX_CFG)\msw$(WX_SUFFIX)
$(#WX)\contrib\include
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline mareq

  • Multiple posting newcomer
  • *
  • Posts: 25
Re: The 10 January 2007 build is out.
« Reply #51 on: January 16, 2007, 08:51:25 am »
I am waiting for Ubuntu package :) I hoped, it would be in next release, but it hadn't been yet.

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6675
    • My Best Post
Re: The 10 January 2007 build is out.
« Reply #52 on: January 16, 2007, 09:11:29 am »
I am waiting for Ubuntu package :) I hoped, it would be in next release, but it hadn't been yet.

They have been working on some Linux 64 bit issues two days ago, not heard any thing in past 24 hours so I assume the problem was more complex than they thought.

Tim S
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline cbexaminr

  • Multiple posting newcomer
  • *
  • Posts: 104
Re: The 10 January 2007 build is out.
« Reply #53 on: January 16, 2007, 09:28:09 am »
First - kb - I may try that if/when I finally give up on [edit] this project approach...

Second - Tim - [thanks again for your help]

I ramble(d) too much, so guess you missed this note, or read reply before I added the edit... I _had_ put somethiing in "lib" field of global variable "cw"...  After I emptied lib field, I was able to compile Scintilla (but not link it because of wxwidgets failure, which I overlooked when I redid).
([edit] I also just found that I had 'lib' specified in the "lib" field for the global variable cw.  Deleting that seemed to make a big difference in compiling Scintilla...  but now backing up to 3.4.2 to see if I can get wxwidgets built again...)

I then backed up to 3.4.2 to build wxwidgets (having forgotten your notes about the patches), as its absence was causing scintilla link failures.

Now back to 3.4.5 for codeblocks, and wondering where "encoding" is supposed to be defined...

getting error in autorevision.h, at line #13 in version I have...

line contains:
   const unsigned int svn_revision = encoding="utf-8"?>;

getting error:
"error: 'encoding'  was not declared in this scope"

logged command line plus initial error msg:
mingw32-g++.exe -Wall -g -pipe -mthreads -fmessage-length=0 -fexceptions -Winvalid-pch -DHAVE_W32API_H -D__WXMSW__ -DWXUSINGDLL -DcbDEBUG -DTIXML_USE_STL -DCB_PRECOMP -DWX_PRECOMP -DwxUSE_UNICODE -DEXPORT_LIB -DEXPORT_EVENTS  -IC:\dlh\dev\wxwidgets\wxWidgets-2.6.3\include -IC:\dlh\dev\wxwidgets\wxWidgets-2.6.3\lib\gcc_dll\mswu -IC:\dlh\dev\wxwidgets\wxWidgets-2.6.3\contrib\include -Isdk\wxscintilla\include -Isdk\propgrid\include -Isdk -Isdk\scripting\include -Isdk\scripting\sqplus -Isdk\wxFlatNotebook\include  -c sdk\configmanager-revision.cpp -o .objs\2.6\sdk\configmanager-revision.o
In file included from sdk\configmanager-revision.cpp:13:
sdk\autorevision.h:13: error: `encoding' was not declared in this scope


« Last Edit: January 16, 2007, 09:31:38 am by cbexaminr »

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6675
    • My Best Post
Re: The 10 January 2007 build is out.
« Reply #54 on: January 16, 2007, 10:08:23 am »
getting error in autorevision.h, at line #13 in version I have...

line contains:
   const unsigned int svn_revision = encoding="utf-8"?>;

getting error:
"error: 'encoding'  was not declared in this scope"

logged command line plus initial error msg:
mingw32-g++.exe -Wall -g -pipe -mthreads -fmessage-length=0 -fexceptions -Winvalid-pch -DHAVE_W32API_H -D__WXMSW__ -DWXUSINGDLL -DcbDEBUG -DTIXML_USE_STL -DCB_PRECOMP -DWX_PRECOMP -DwxUSE_UNICODE -DEXPORT_LIB -DEXPORT_EVENTS  -IC:\dlh\dev\wxwidgets\wxWidgets-2.6.3\include -IC:\dlh\dev\wxwidgets\wxWidgets-2.6.3\lib\gcc_dll\mswu -IC:\dlh\dev\wxwidgets\wxWidgets-2.6.3\contrib\include -Isdk\wxscintilla\include -Isdk\propgrid\include -Isdk -Isdk\scripting\include -Isdk\scripting\sqplus -Isdk\wxFlatNotebook\include  -c sdk\configmanager-revision.cpp -o .objs\2.6\sdk\configmanager-revision.o
In file included from sdk\configmanager-revision.cpp:13:
sdk\autorevision.h:13: error: `encoding' was not declared in this scope

Note: code::blocks works great with 3.4.2, most developers of C::B are using 3.4.5 or higher.
( This is mainly because some of them are using Linux.)
So, you need not use 3.4.5 with C::B, but use at least a 3.4 or higher. minGW does have an 3.3 version called previous. Note, autorevision.h is an auto created header.
Do you have SVN installed?
( svn is called by the program that creates autorevision.h)
Is the path to it in the PATH variable?
Have you re-built the C::B main project?
Since you got it to work better?
Tim S
« Last Edit: January 16, 2007, 10:21:21 am by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline cbexaminr

  • Multiple posting newcomer
  • *
  • Posts: 104
Re: The 10 January 2007 build is out.
« Reply #55 on: January 16, 2007, 11:31:10 am »

Note, autorevision.h is an auto created header.
Do you have SVN installed?
( svn is called by the program that creates autorevision.h)
Is the path to it in the PATH variable?
Have you re-built the C::B main project?
Since you got it to work better?
Tim S

OK, that helps - I used SVN from cygwin prompt to fetch source.  I don't have any SVN in my general paths.

Will change (somehow) and try again...

Offline cbexaminr

  • Multiple posting newcomer
  • *
  • Posts: 104
Re: The 10 January 2007 build is out.
« Reply #56 on: January 17, 2007, 04:30:52 am »
OK, finally got it built.  But, then tried to execute it in place (src\devel), and got an error box with contents:

"Mismatch between the program and library build versions detected.
The library used 2.6 (no debug,Unicode,compiler with C++ ABI 102, wx containers, compatible with 2.4),
and your program used 2.6 (no debug,Unicode,compiler with C++ ABI 1002,wx containers, compatible with 2.4)."

(The different in the two items seems to be 102 vs 1002, which took me some time so see.)

Is this because I used one version compiler to build wxwidgets, and a different version to build codeblocks?

That seems a little extreme...?  If the different version compilers are the cause, What is the difference that makes this a problem?

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6675
    • My Best Post
Re: The 10 January 2007 build is out.
« Reply #57 on: January 17, 2007, 05:35:41 am »
I have no idea, but I would suggest using the 3.4 compiler to compile wxWidgets, I think you used an 3.3 compiler based on some of the info you gave me earlier.

The files wx/build.h and wx/version.h are used to build that message but I can NOT find where __GXX_ABI_VERSION is set. I think that is where the 102 or 1002 is from.

The following command returns a list of values one of which is __GXX_ABI_VERSION
g++ -c nul.c -E -dM


3.4.2 returns 1002 for __GXX_ABI_VERSION
3.4.5 returns 1002 for __GXX_ABI_VERSION

Tim S
From google I found http://blog.gmane.org/gmane.comp.gnu.mingw.user/month=20030601
Code: [Select]
#define __GXX_ABI_VERSION 102
#define __VERSION__ "3.2 (mingw special 20020817-1)"
« Last Edit: January 17, 2007, 06:13:43 am by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Re: The 10 January 2007 build is out.
« Reply #58 on: January 17, 2007, 08:55:19 am »
Quote
Is this because I used one version compiler to build wxwidgets, and a different version to build codeblocks?

That seems a little extreme...?  If the different version compilers are the cause, What is the difference that makes this a problem?

Yes, that is exactly it. The ABI has changed between gcc 3.4.2 and 3.4.5 so you need to compile again (either your project or the library) with the same compiler.
Be patient!
This bug will be fixed soon...

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6675
    • My Best Post
Re: The 10 January 2007 build is out.
« Reply #59 on: January 17, 2007, 09:41:04 am »
Quote
Is this because I used one version compiler to build wxwidgets, and a different version to build codeblocks?

That seems a little extreme...?  If the different version compilers are the cause, What is the difference that makes this a problem?

Yes, that is exactly it. The ABI has changed between gcc 3.4.2 and 3.4.5 so you need to compile again (either your project or the library) with the same compiler.

Some of the version numbers he gave me at first seemed to imply that he was using 3.3.x GCC
I have never had a problem mixing 3.4.2 and 3.4.5; I have been using 3.4.5 for wxWidgets and 3.4.2 for code::blocks for several weeks with no problem.
Tim S
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org